# Region Class Reference

`#include <RTItypes.hh>`

List of all members.

## Public Member Functions
virtual | ~Region ()
virtual ULong | getRangeLowerBound (ExtentIndex, DimensionHandle) const =0 throw (ArrayIndexOutOfBounds)
virtual ULong | getRangeUpperBound (ExtentIndex, DimensionHandle) const =0 throw (ArrayIndexOutOfBounds)
virtual void | setRangeLowerBound (ExtentIndex, DimensionHandle, ULong)=0 throw (ArrayIndexOutOfBounds)
virtual void | setRangeUpperBound (ExtentIndex, DimensionHandle, ULong)=0 throw (ArrayIndexOutOfBounds)
virtual SpaceHandle | getSpaceHandle () const =0 throw ()
virtual ULong | getNumberOfExtents () const =0 throw ()
virtual ULong | getRangeLowerBoundNotificationLimit (ExtentIndex, DimensionHandle) const =0 throw (ArrayIndexOutOfBounds)
virtual ULong | getRangeUpperBoundNotificationLimit (ExtentIndex, DimensionHandle) const =0 throw (ArrayIndexOutOfBounds)

## Detailed Description

Definition at line 303 of file RTItypes.hh.

## Constructor & Destructor Documentation

virtual ~Region | ( |  | ) | `[inline, virtual]`

Definition at line 306 of file RTItypes.hh.

## Member Function Documentation

virtual ULong getRangeLowerBound | ( | ExtentIndex | ,
|  | DimensionHandle |  |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[pure virtual]`

virtual ULong getRangeUpperBound | ( | ExtentIndex | ,
|  | DimensionHandle |  |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[pure virtual]`

virtual void setRangeLowerBound | ( | ExtentIndex | ,
|  | DimensionHandle | ,
|  | ULong |  |
| ) |  |  | throw (ArrayIndexOutOfBounds)`[pure virtual]`

virtual void setRangeUpperBound | ( | ExtentIndex | ,
|  | DimensionHandle | ,
|  | ULong |  |
| ) |  |  | throw (ArrayIndexOutOfBounds)`[pure virtual]`

virtual SpaceHandle getSpaceHandle | ( |  | ) | const throw ()`[pure virtual]`

virtual ULong getNumberOfExtents | ( |  | ) | const throw ()`[pure virtual]`

virtual ULong getRangeLowerBoundNotificationLimit | ( | ExtentIndex | ,
|  | DimensionHandle |  |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[pure virtual]`

virtual ULong getRangeUpperBoundNotificationLimit | ( | ExtentIndex | ,
|  | DimensionHandle |  |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[pure virtual]`

The documentation for this class was generated from the following file:

- RTItypes.hh